Subject: Re: [PATCH] powerpc/xive: fix the fuzz value in xive_pick_irq_target()

From: Benjamin Herrenschmidt <[email-masked]>
Date: Thu, 03 Aug 2017 10:58:48 +1000

On Thu, 2017-08-03 at 10:01 +1000, Michael Ellerman wrote:
> Benjamin Herrenschmidt <[email-masked]> writes:
> 
> > On Wed, 2017-08-02 at 18:43 +0200, Cédric Le Goater wrote:
> > > If xive_find_target_in_mask() fails to find a cpu, the fuzz value used
> > > in xive_pick_irq_target() is decremented and reused in the last
> > > returning call to xive_find_target_in_mask(). This can result in such
> > > WARNINGs if the initial fuzz value is zero :
> > 
> > Ah indeed ... would have worked better if "fuzz" had been unsigned.
> 
> Is that an ack or a changes requested?

Either ;-) The original code would have been fine with an unsigned, I
didn't realize it was signed and going negative. That said, cedric
patch is fine.

Cheers,
Ben.